Summary: Libraries to provide access to RTAS calls and RTAS events
Name:    librtas
Version: 1.3.9
%define base_release .3
Release: 1%{?dist}%{?base_release}
URL:     http://librtas.ozlabs.org
License: CPL
Group:   System Environment/Libraries

Source: http://librtas.ozlabs.org/releases/%{name}-%{version}.tar.gz
#Fedora specific patch
Patch0: %{name}-1.3.4-libdir.patch
Patch1: %{name}-1.3.6-ln.patch

#ExclusiveArch: ppc ppc64
ExclusiveArch: ppc ppc64 ppc476 ppcnf i686

%description
The librtas shared library provides userspace with an interface
through which certain RTAS calls can be made.  The library uses
either of the RTAS User Module or the RTAS system call to direct
the kernel in making these calls.

The librtasevent shared library provides users with a set of
definitions and common routines useful in parsing and dumping
the contents of RTAS events.

%package devel
Summary:  C header files for development with librtas
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The librtas-devel packages contains the header files necessary for
developing programs using librtas.

%prep
%setup
%patch0 -p1 -b .libdir
%patch1 -p1 -b .ln

%build
%if 0%{?cross_build}
export AR="%{__ar}" CC="%{__cc}" LD="%{__ld}"
%endif
%{__make} CFLAGS="%{optflags} -fPIC -DPIC -I." %{?_smp_mflags}

%install
mkdir -p %{buildroot}/%{_libdir}
%{__make} install DESTDIR=%{buildroot} LIB_DIR=%{_libdir} INSTALL="install -p"
%{__rm} -rf %{buildroot}%{_datadir}/doc
pushd %{buildroot}/%{_libdir}
ln -s librtas.so.* librtas.so.1
ln -s librtasevent.so.* librtasevent.so.1
ln -s libofdt.so.* libofdt.so.1
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYRIGHT README Changelog
%{_libdir}/librtas.so.*
%{_libdir}/librtasevent.so.*
%{_libdir}/libofdt.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/librtas.so
%{_libdir}/librtasevent.so
%{_includedir}/librtas.h
%{_includedir}/librtasevent.h
%{_includedir}/librtasevent_v4.h
%{_includedir}/librtasevent_v6.h
%{_includedir}/common.h
%{_includedir}/libofdt.h
%{_libdir}/libofdt.so

%changelog
* Mon Aug 19 2013 baseuser@ibm.com
- Base-8.x spec file
